'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _Snackbar = require('@material-ui/core/Snackbar');

var _Snackbar2 = _interopRequireDefault(_Snackbar);

var _SnackbarContent = require('../SnackbarContent');

var _SnackbarContent2 = _interopRequireDefault(_SnackbarContent);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

var Snackbar = function Snackbar(_ref) {
    var open = _ref.open,
        onClose = _ref.onClose,
        autoHideDuration = _ref.autoHideDuration,
        messages = _ref.messages,
        type = _ref.type,
        SnackbarContentProps = _ref.SnackbarContentProps,
        props = _objectWithoutProperties(_ref, ['open', 'onClose', 'autoHideDuration', 'messages', 'type', 'SnackbarContentProps']);

    return _react2.default.createElement(
        _Snackbar2.default,
        _extends({
            open: open,
            autoHideDuration: autoHideDuration,
            onClose: onClose
        }, props),
        _react2.default.createElement(_SnackbarContent2.default, _extends({
            onClose: onClose,
            variant: type,
            message: messages.join('\n')
        }, SnackbarContentProps))
    );
};

Snackbar.propTypes = {
    open: _propTypes2.default.bool.isRequired,
    autoHideDuration: _propTypes2.default.number.isRequired,
    onClose: _propTypes2.default.func.isRequired,
    anchorOrigin: _propTypes2.default.object.isRequired
};

Snackbar.defaultProps = {
    anchorOrigin: {
        vertical: 'top',
        horizontal: 'right'
    }
};

exports.default = Snackbar;